-- Хранимка для проставления СНИЛСа при сохранении
drop procedure if exists sp_savesnils;
CREATE PROCEDURE sp_savesnils("SNILS" char(14))
AS
$BODY$
Begin
	if not exists(select* from akuz.T_SNILS where Snils = "SNILS")
	then
		insert into akuz.T_SNILS(Snils) 
		values ("SNILS");
	end if;
End;
$BODY$
  LANGUAGE plpgsql;